%define develpkg %mklibname ofono -d


Name:           ofono
Version:        2.5
Release:        %mkrel 1
Summary:        Open Source Telephony
License:        GPL-2.0
Group:          Communications
Url:            http://ofono.org
Source0:        http://www.kernel.org/pub/linux/network/ofono/ofono-%{version}.tar.xz

%description
oFono aims to provide an easy to use interface that can be used to create
rich telephony applications without requiring one to have a deep understanding
of the underlying technology and its limitations. To accomplish this, oFono
provides language-independent D-Bus API that is extremely easy to use without
generated bindings or other 'messy' steps typically required to use an IPC
based API.

%package -n %develpkg
Summary:        Open Source Telephony Stack -- Development files
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description -n %develpkg
oFono aims to provide an easy to use interface that can be used to create
rich telephony applications without requiring one to have a deep understanding
of the underlying technology and its limitations. To accomplish this, oFono
provides language-independent D-Bus API that is extremely easy to use without
generated bindings or other 'messy' steps typically required to use an IPC
based API.

%package tests
Summary:        Test Scripts for oFono
Group:          Communications
Requires:       %{name} = %{version}

%description tests
Scripts for testing oFono and its functionality

%prep
%setup -q

%build
if [ ! -f configure ]; then
./bootstrap
fi
%configure2_5x \
	--enable-bluetooth \
	--enable-pie \
	--enable-external-ell \
	--disable-silent-rules
%make  
  
%install
rm -rf %buildroot
%make_install

ln -sv %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}

%files
%defattr(-,root,root,-)
%{_sbindir}/ofonod
%{_sbindir}/rcofono
%{_mandir}
%config %{_sysconfdir}/ofono/
%{_sysconfdir}/dbus-1/system.d/ofono.conf
%{_datadir}/ofono/provision.db

%files -n %develpkg
%defattr(-,root,root,-)
%dir %{_includedir}/ofono/
%{_includedir}/ofono/*
%{_libdir}/pkgconfig/ofono.pc

%files tests
%defattr(-,root,root,-)
#blank compatible pkg


%changelog
* Thu Mar 14 2024 tex - 2.5-1pclos2024
- new version

* Fri Jun 30 2017 bb2 <bb2> - 1.19-1pclos2017
- create package for pclos
